#include <Wire.h>
#include "i2c.h"

#include "i2c_BMP280.h"
BMP280 bmp280;
////////////////////
#include <U8g2lib.h>
U8G2_SSD1306_128X64_NONAME_F_HW_I2C u8g2(U8G2_R0, /* reset=*/ U8X8_PIN_NONE);
 float temperature;
 float pascal;
 static float meters, metersold;
/////////////////
void setup() 
{
  Serial.begin(115200);
  ///////////////////
  u8g2.begin(); 
  //////////////////
   Serial.print("Probe BMP280: ");
    if (bmp280.initialize()) Serial.println("Sensor found");
    else
    {
        Serial.println("Sensor missing");
        while (1) {}
    }

    // onetime-measure:
    bmp280.setEnabled(0);
    bmp280.triggerMeasurement();
}

void loop()
{
   bmp280.awaitMeasurement();

   
    bmp280.getTemperature(temperature);

   
    bmp280.getPressure(pascal);

    
    bmp280.getAltitude(meters);
    metersold = (metersold * 10 + meters)/11;

    bmp280.triggerMeasurement();

    Serial.print(" HeightPT1: ");
    Serial.print(metersold);
    Serial.print(" m; Height: ");
    Serial.print(meters);
    Serial.print(" Pressure: ");
    Serial.print(pascal);
    Serial.print(" Pa; T: ");
    Serial.print(temperature);
    Serial.println(" C");
  
  u8g2.clearBuffer();
  u8g2.firstPage();
  do {
    u8g2.setFont(u8g2_font_pxplusibmvga9_tf);
    u8g2.setCursor(0, 12);
    u8g2.print("Pressure");
    u8g2.print(pascal);
    
    u8g2.setCursor(0, 26);
    u8g2.print("Height");
    u8g2.print(meters);
    u8g2.print(char(176));

    u8g2.setCursor(0, 42);
    u8g2.print("T=");
    u8g2.print(temperature);
    u8g2.print(char(176));
    u8g2.print("c");

    u8g2.drawVLine(64, 4, 25);

    u8g2.drawRFrame(2,47,122,12,6);
    u8g2.drawRBox(2, 47,map(30000,110000, 100, 0, 122),12,6);
   
    
   
  } 
  while ( u8g2.nextPage() );
     bmp280.getTemperature(temperature);

   
    bmp280.getPressure(pascal);

    
    bmp280.getAltitude(meters);
     metersold = (metersold * 10 + meters)/11;

    bmp280.triggerMeasurement();

 }
